#ifndef SPARROWRENDERER_H
#define SPARROWRENDERER_H

#include <vector>
#include "camera.h"

class Module;

class SparrowRenderer
{
    Camera camera;
    std::vector<Module*> modules;
public:
    SparrowRenderer(int width, int height);
    void addModule(Module* myModule);
    Camera* getCamera();
    void resize(int width, int height);
    void render();
};

#endif // SPARROWRENDERER_H
